# QAction Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QAction(QObject parent)
- void QAction(QIcon icon, String text, QObject parent)
- void QAction(String text, QObject parent)

### Constructor Properties

- prototype: The QAction prototype object
- LowPriority = 0
- NormalPriority = 128
- HighPriority = 256
- Priority( value )
- Trigger
- Hover
- ActionEvent( value )
- NoSoftKey
- PositiveSoftKey
- NegativeSoftKey
- SelectSoftKey
- SoftKeyRole( value )
- NoRole
- TextHeuristicRole
- ApplicationSpecificRole
- AboutQtRole
- AboutRole
- PreferencesRole
- QuitRole
- MenuRole( value )

### Prototype Object Properties

The QAction prototype object inherits properties from the QObject prototype object and also has the following properties.

- QActionGroup actionGroup()
- void activate(ActionEvent event)
- List associatedGraphicsWidgets()
- List associatedWidgets()
- Object data()
- bool isSeparator()
- QMenu menu()
- QWidget parentWidget()
- void setActionGroup(QActionGroup group)
- void setData(Object var)
- void setMenu(QMenu menu)
- void setSeparator(bool b)
- void setShortcuts(StandardKey arg__1)
- List shortcuts()
- bool showStatusText(QWidget widget)

### Instance Properties

QAction objects inherit properties from the QAction prototype object and also have the following properties.

- checkable
- checked
- enabled
- icon
- text
- iconText
- toolTip
- statusTip
- whatsThis
- font
- shortcut
- shortcutContext
- autoRepeat
- visible
- menuRole
- softKeyRole
- iconVisibleInMenu
- priority